CRYPTO_AHASH_EXPORT(9)

NAME
crypto_ahash_export - extract current message digest state

SYNOPSIS

int crypto_ahash_export(struct ahash_request * req, void * out);

ARGUMENTS

req
    reference to the ahash_request handle whose state is exported

out
    output buffer of sufficient size that can hold the hash state

DESCRIPTION

This function exports the hash state of the ahash_request handle into the caller-allocated output buffer out which must have sufficient size (e.g. by calling crypto_ahash_reqsize).

RETURN

0 if the export was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT